{
  "compilerOptions": {
    "incremental": true,
    "module": "commonjs",
    "target": "es2019",
    "lib": ["es2020"],
    "declaration": true,
    "esModuleInterop": true,
    "outDir": "./dist",
    "types": ["node", "jest"],

    "moduleResolution": "node",
    "inlineSourceMap": true,
    "resolveJsonModule": true,
    "noUnusedLocals": false,
    "noUnusedParameters": false,
    "noImplicitReturns": true,
    "noFallthroughCasesInSwitch": true,
    "traceResolution": false,
    "listEmittedFiles": false,
    "listFiles": false,
    "pretty": true,
    "experimentalDecorators": true,
    "emitDecoratorMetadata": true
  },
  "include": ["example.ts"]
}
